# KSPGetComputeEigenvalues

Gets the flag indicating that the extreme eigenvalues values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGetComputeEigenvalues(KSP ksp,PetscTruth *flg)

Collective on KSP

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

flg -PETSC_TRUE or PETSC_FALSE

### Notes

Currently this option is not valid for all iterative methods.

### Keywords

KSP, set, compute, eigenvalues

### See Also

KSPComputeEigenvalues(), KSPComputeEigenvaluesExplicitly()

Level:advanced
Location: src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages